Skip to main content
GET
/
v1
/
scrape
/
twitter
/
retweets
Retweets
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/twitter/retweets \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "error": false,
    "cursor": {
      "bottom": "HBbMtr7isuGzyDMAAA==",
      "top": "HCaAgIDByrCDzTMAAA=="
    },
    "result": {
      "timeline": {
        "instructions": [
          {
            "entries": [
              {
                "content": {
                  "__typename": "TimelineTimelineItem",
                  "entryType": "TimelineTimelineItem",
                  "itemContent": {
                    "__typename": "TimelineUser",
                    "itemType": "TimelineUser",
                    "userDisplayType": "User",
                    "user_results": {
                      "result": {
                        "__typename": "User",
                        "affiliates_highlighted_label": {},
                        "has_graduated_access": true,
                        "id": "VXNlcjoyMjkxMTAzMTQ=",
                        "is_blue_verified": true,
                        "legacy": {
                          "blocked_by": false,
                          "blocking": false,
                          "can_dm": true,
                          "can_media_tag": true,
                          "created_at": "Tue Dec 21 15:07:57 +0000 2010",
                          "default_profile": true,
                          "default_profile_image": false,
                          "description": "Growth Lead @ Shopify, Director Monetization @ TripAdvisor, CTO https://t.co/IG2DcHk3C3, https://t.co/7li4aKJ5Nq, https://t.co/QgXJN7VeoB",
                          "entities": {
                            "description": {
                              "urls": [
                                {
                                  "display_url": "theballparkguide.com",
                                  "expanded_url": "https://theballparkguide.com",
                                  "indices": [
                                    64,
                                    87
                                  ],
                                  "url": "https://t.co/IG2DcHk3C3"
                                },
                                {
                                  "display_url": "portfolioai.com",
                                  "expanded_url": "https://portfolioai.com",
                                  "indices": [
                                    89,
                                    112
                                  ],
                                  "url": "https://t.co/7li4aKJ5Nq"
                                },
                                {
                                  "display_url": "dailysearchvolume.com",
                                  "expanded_url": "https://dailysearchvolume.com",
                                  "indices": [
                                    114,
                                    137
                                  ],
                                  "url": "https://t.co/QgXJN7VeoB"
                                }
                              ]
                            },
                            "url": {
                              "urls": [
                                {
                                  "display_url": "shaunmcquaker.com",
                                  "expanded_url": "http://www.shaunmcquaker.com",
                                  "indices": [
                                    0,
                                    23
                                  ],
                                  "url": "https://t.co/Qs5JD33kgj"
                                }
                              ]
                            }
                          },
                          "fast_followers_count": 0,
                          "favourites_count": 5187,
                          "follow_request_sent": false,
                          "followed_by": false,
                          "followers_count": 237,
                          "following": false,
                          "friends_count": 526,
                          "has_custom_timelines": true,
                          "is_translator": false,
                          "listed_count": 2,
                          "location": "Russell",
                          "media_count": 167,
                          "muting": false,
                          "name": "Shaun McQuaker",
                          "normal_followers_count": 237,
                          "notifications": false,
                          "pinned_tweet_ids_str": [],
                          "possibly_sensitive": false,
                          "profile_banner_url": "https://pbs.twimg.com/profile_banners/229110314/1714961750",
                          "profile_image_url_https": "https://pbs.twimg.com/profile_images/1787304906191200257/2b9gNhjw_normal.jpg",
                          "profile_interstitial_type": "",
                          "protected": false,
                          "screen_name": "shaunmcquaker",
                          "statuses_count": 1295,
                          "translator_type": "none",
                          "url": "https://t.co/Qs5JD33kgj",
                          "verified": false,
                          "want_retweets": false,
                          "withheld_in_countries": []
                        },
                        "profile_image_shape": "Circle",
                        "rest_id": "229110314",
                        "super_follow_eligible": false,
                        "super_followed_by": false,
                        "super_following": false,
                        "tipjar_settings": {}
                      }
                    }
                  }
                },
                "entryId": "user-229110314",
                "sortIndex": "1859149652877639680"
              }
            ],
            "type": "TimelineAddEntries"
          }
        ],
        "responseObjects": {}
      }
    }
  },
  "credits_used": 1,
  "endpoint": "twitter/retweets"
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

pid
string
required

The tweet ID to get retweeters for

Example:

"1234567890123456789"

cursor
string

Pagination cursor from a previous response to get the next page of results

Response

Successful response

Key Response Fields:

Pagination:

  • data.cursor.bottom: Pass as cursor query param to get the next page of retweeters
  • data.cursor.top: Cursor for the previous page

Timeline Structure:

  • data.result.timeline.instructions[0].entries[]: Array of retweeter entries (type TimelineAddEntries)

Each Retweeter (at entries[].content.itemContent.user_results.result):

  • .rest_id: User's numeric ID
  • .is_blue_verified: Whether user has a blue checkmark
  • .legacy.name: Display name
  • .legacy.screen_name: Handle (username without @)
  • .legacy.description: Bio
  • .legacy.followers_count: Follower count
  • .legacy.friends_count: Following count
  • .legacy.statuses_count: Total tweet count
  • .legacy.favourites_count: Total likes given
  • .legacy.media_count: Total media posts
  • .legacy.listed_count: Number of lists the user is on
  • .legacy.created_at: Account creation date
  • .legacy.location: Location set by user
  • .legacy.profile_image_url_https: Profile picture URL
  • .legacy.profile_banner_url: Banner image URL
  • .legacy.protected: Whether account is private
  • .legacy.verified: Legacy verified status